Description

using 1.0.4

I would like to be able to filter the activity page by the assigned to person. Currently I can only restrict the activity by type, and there is

no filtering.

What I would like to see is the recent activity restricted by a particular developer.

e.g. time spent by developer X.

I can see how this could be extended to support other filtering like the Issue page, or by date range, but my current workflow just

requires activity by person.

Thanks

Related issues:

Related to Redmine - Feature #33602: Add an interface to filter activities by... Closed

History

#1 - 2011-01-13 17:38 - Terence Mill

I think its a usefull feature to filter activities by user,  +1 for this

#2 - 2011-01-14 18:18 - Jean-Philippe Lang

The filter is already implemented. Go the user's profile and then you can click 'activity' to navigate in the user's activity.

http://www.redmine.org/activity?from=2011-01-14&user_id=1

#3 - 2011-01-14 18:35 - Gerry Hawkins

Aha, so it is. Thanks Jean-Phillippe.

Then my request would be to have this existing functionality in one place, and at a more visible level.

i.e. add the filter ability to the project's main activity page.

In the mean time I will use this.

#4 - 2015-04-22 09:40 - Tomislav Nakic-Alfirevic

From my experience, it would be useful to have a similar filter available for activity as for issues, i.e. selecting a set of users to see (or not see) and a

date range at the very least, but possibly tracker, status, priority and possibly other fields.

#5 - 2016-05-29 15:41 - Go MAEDA

- Category set to Activity view

#6 - 2016-06-20 13:33 - Martin von Wittich

+1 for the ability to filter the activity view by multiple users at once; that is currently not possible with the &user_id parameter. We would use that for

quality control monitor the contributions of our less experienced developers.

#7 - 2016-07-29 14:29 - Miodrag Milic

+1 to have issue filter synced with activity

#8 - 2017-10-26 13:04 - Kush Suryavanshi
+1

#9 - 2020-06-16 16:30 - Go MAEDA

- Related to Feature #33602: Add an interface to filter activities by user added

#10 - 2020-10-26 19:38 - J. Pablo Zebraitis

+1 by Tracker
